#!/bin/bash

#-- license --
PREFIX="n"

if [ -t 0 ]; then
    cat license.txt
    read -s -n1 -p "Accept Terms of License? y/n" PREFIX
else
    notify-send "please install from a terminal"
fi


if [ $PREFIX = 'y' -o $PREFIX = 'Y' ]; then
    read -p "Install Prefix: [/usr/local] " PREFIX
    echo
    len=${#PREFIX}

    if [ "$len" -lt "1" ]; then
      PREFIX="/usr/local" 
    fi

        
    install -d $PREFIX/lib/

    rm -rf $PREFIX/lib/Protocase\ Designer/libold
    rm -rf $PREFIX/lib/Protocase\ Designer/nativesold
    rm -rf $PREFIX/share/Protocase\ Designer/libraryold

    mv -i $PREFIX/lib/Protocase\ Designer/lib{,old}
    mv -i $PREFIX/lib/Protocase\ Designer/natives{,old}
    mv -i $PREFIX/share/Protocase\ Designer/library{,old}

    cp -R Protocase\ Designer $PREFIX/lib

    
    install -d $PREFIX/share/Protocase\ Designer/
    cp -R library  $PREFIX/share/Protocase\ Designer/
    
    if [ ! -d "$PREFIX/bin" ]; then
	mkdir $PREFIX/bin
    fi

    if [ ! -d "$PREFIX/share" ]; then
	mkdir $PREFIX/share
    fi

	chmod 777 $PREFIX/bin/ProtocaseDesigner.sh
	
	rm -rf $PREFIX/bin/ProtocaseDesigner.sh
	
	touch $PREFIX/bin/ProtocaseDesigner.sh

    echo '#/bin/sh' > $PREFIX/bin/ProtocaseDesigner.sh
    echo "install -d  ~/ProtocaseDesigner/" >> $PREFIX/bin/ProtocaseDesigner.sh
    echo "mkdir -p ~/ProtocaseDesigner/UserLibrary" >> $PREFIX/bin/ProtocaseDesigner.sh
    echo "LD_LIBRARY_PATH=${PREFIX}/lib/Protocase\ Designer/:${PREFIX}/lib/Protocase\ Designer/lib/:\$LD_LIBRARY_PATH ${PREFIX}/lib/Protocase\ Designer/jre/bin/java -jar ${PREFIX}/lib/Protocase\ Designer/jdesigner.jar 2> ~/ProtocaseDesigner/error.log" >> $PREFIX/bin/ProtocaseDesigner.sh

    chmod 755 $PREFIX/bin/ProtocaseDesigner.sh

	echo "Run using ${PREFIX}/bin/ProtocaseDesigner.sh"
else
    echo
    echo
    echo "You must accept the terms of the license to install Protocase Designer."
fi

